//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef DATACMDPRT_H
#define DATACMDPRT_H

//=======================================================================
#ifndef _DATACMDDEF_
#include "DataCmdDef.h"
#endif

// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

// ----- Foundation Layer -----
#ifndef FWSTDDEF_H
#include <FWStdDef.h>		// ?
#endif

//=======================================================================
class FW_CLASS_ATTR FW_CPart;
class FW_CLASS_ATTR FW_CString;
class FW_CLASS_ATTR FW_CPresentation;
class FW_CLASS_ATTR FW_CPrivOrderedCollection;

//=======================================================================
class FW_CLASS_ATTR CDataCmdPart : public FW_CPart {
public:
						CDataCmdPart(ODPart* odPart);
	virtual 			~CDataCmdPart();
	static const ODValueType 	kPartKind;
	static const ODValueType 	kPartUserName;
// overrides
protected:
	virtual void 		Initialize(Environment* ev);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
// new members
public:
	virtual FW_CPrivOrderedCollection*		MyGetPizzaList();
	virtual void				MyIncrement(Environment* ev, FW_CPoint position);
	virtual void				MyDecrement(Environment* ev);
	virtual void				MyInvalidatePresentation(Environment* ev, 
														FW_CRect& invalidRect);
private:
	FW_CString32				fEmbeddedString;
	FW_CString*					fStringPtr;
	ODPtr						fBufferPtr;
	ODULong						fBufferBytes;
	FW_CPresentation*			fPresentation;
	ODSShort					fNumPizzas;
	FW_CPrivOrderedCollection*	fPizzaList;
};

//=======================================================================
#endif
