//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//=======================================================================
#ifndef _DATACMDFRAME_
#include "DataCmdFrm.h"			// CDataCmdFrame
#endif

#ifndef DATACMDPRT_H
#include "DataCmdPrt.h"			// CDataCmdPart
#endif

#ifndef PIZZA_H
#include "Pizza.h"				//  CPizza
#endif

#ifndef PIZZACOMMAND_H
#include "PizzaCommand.h"		// CPizzaCommand
#endif

#ifndef CONSTANT_H
#include "Constant.h"			// cMakePizzaCommand
#endif

// ----- Framework Layer -----
#ifndef FWUTIL_H
#include "FWUtil.h"				// FW_CFacetContext, FW_Beep()
#endif

// ----- Graphic Includes -----
#ifndef FWRECT_H
#include <FWRect.h>				// FW_CRect
#endif

#ifndef FWRECSHP_H
#include "FWRecShp.h"			// FW_CRectShape
#endif

//========================================================================================
#ifdef FW_BUILD_MAC
#pragma segment DataCmd
#endif

//========================================================================================
CDataCmdFrame::CDataCmdFrame(Environment* ev, ODFrame* odFrame, 
									FW_CPresentation* presentation, CDataCmdPart* datacmdPart)
  : FW_CFrame(ev, odFrame, presentation, datacmdPart),
  	fDataCmdPart(datacmdPart)
{
}

//----------------------------------------------------------------------------------------
CDataCmdFrame::~CDataCmdFrame()
{
}

//----------------------------------------------------------------------------------------
void 
CDataCmdFrame::Draw(Environment *ev, ODFacet* odFacet, ODShape* invalidShape)	// Override
{
	FW_CViewContext context(ev, this, odFacet, invalidShape);
	FW_CRect box = this->GetBounds(ev);	
	FW_CRectShape::RenderRect(context, box, FW_kFill, FW_kRGBLightGray);
	
	// draw pizzas
	FW_CPrivOrderedCollection* list = fDataCmdPart->MyGetPizzaList();
	FW_COrderedCollectionIterator iter(list);
	CPizza	*pizza;
	for (pizza = (CPizza*) iter.First(); iter.IsNotComplete(); pizza = (CPizza*) iter.Next())
		pizza->Draw(context);
}

//----------------------------------------------------------------------------------------
FW_Boolean 
CDataCmdFrame::DoMouseDown(Environment* ev, const FW_CMouseEvent& theMouseEvent)
{	
	FW_UNUSED(ev);
	// get position of mouse click in case you need it
	FW_CPoint position = theMouseEvent.GetMousePosition(ev, FW_CMouseEvent::kFrame);
	this->GetContentView(ev)->FrameToViewContent(ev, position);

	CPizzaCommand* cmd = FW_NEW(CPizzaCommand, (ev, cMakePizzaCommand, fDataCmdPart, this, position) );
	fDataCmdPart->ExecuteCommand(ev, cmd);
	return TRUE;				// we handled event
}
