//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

//===============================================================
#ifndef PIZZACOMMAND_H
#include "PizzaCommand.h"		// CPizzaCommand
#endif

#ifndef STARTERPRT_H
#include "DataCmdPrt.h"			// CDataCmdPart
#endif

#ifndef CONSTANT_H
#include "Constant.h"		// my menu command numbers
#endif

//===============================================================
#ifdef FW_BUILD_MAC
#pragma segment DataCmd
#endif

//===============================================================
FW_DEFINE_CLASS_M1(CPizzaCommand, FW_CCommand)

//===============================================================
CPizzaCommand::CPizzaCommand(Environment* ev, ODCommandID id, 
											CDataCmdPart* part,
											FW_CFrame* frame, 
											FW_CPoint position)
  : FW_CCommand(ev, id, frame, FW_kCanUndo),
	fDataCmdPart(part),
	fPosition(position)
{
	FW_ASSERT(part);
	this->SetMenuStrings(ev, "Undo Make Pizza", "Redo Make Pizza");
}

//---------------------------------------------------------------
CPizzaCommand::~CPizzaCommand()
{
}

//---------------------------------------------------------------
void 
CPizzaCommand::DoIt(Environment* ev)
{
	fDataCmdPart->MyIncrement(ev, fPosition);	// add a pizza 
}

//---------------------------------------------------------------
void 
CPizzaCommand::UndoIt(Environment* ev)
{
	fDataCmdPart->MyDecrement(ev);	// remove a pizza
}

//---------------------------------------------------------------
void 
CPizzaCommand::RedoIt(Environment* ev)
{
	this->DoIt(ev);
}
